from time import sleep
from drive import *
from find_target import *

setup_GPIO()
capture = getVideoCapture()

#----------------------------------#

while True:

  okay, image = capture.read()
  if okay:
    target = find_target(image)
    if target:
      print("target x,y:",target)
      t_angle = abs(target[0]) /10;

      if target[0] > 10:
        print("rotate_right(angle(%d))" % t_angle)
        rotate_right(angle(t_angle))

      elif target[0] < -10:
        print("rotate_left(angle(%d))" % t_angle)
        rotate_left(angle(t_angle))

    else:
      print("no target found")

  k = cv2.waitKey(2000) & 0xFF
  if k == 27:
     break

#----------------------------------#

cleanup_GPIO()
print("end")


